# CTX-Backup-Flows
The module allows users to configure Cortex to create automated backups of the system, a set of flows within a specific groups, or a set of specific flows.

## Table of Contents
1) [Dependencies](#dependencies)
    * [Cortex Version](#cortex-version)
    * [OCIs](#ocis)
    * [Files](#files)
    * [Other](#other)
1) [Support and Warranty](#support-and-warranty)
2) [Installation](#installation)
3) [How to use](#how-to-use)
4) [How you can contribute](#how-you-can-contribute)
5) [Versioning](#versioning)
6) [Licensing](#licensing)


## Dependencies
### Cortex Version
This version of the BackupFlows module was developed in Cortex version 7.1. Some functionality may not be available on different verions of Cortex.

### OCIs
The  module requires the following Cortex OCIs:
* PowerShell

### Files
The BackupFlows module requires the following files:
* [BackupFlows.studiopkg](https://github.com/CortexIntelligentAutomation/CTX-Backup-Flows/releases/download/v1.2/CTX-Backup-Flows.studiopkg)

### Other
None.

## Support and Warranty 
This module is supplied as a template that you can amend and extend to fit your requirements, as such it is not supported as part of the Cortex Product suite under the Cortex product support agreement.

## Installation
Details of the installation can be found in the [BackupFlows Deployment Plan](https://github.com/CortexIntelligentAutomation/CTX-Backup-Flows/blob/master/CTX-Backup-Flows%20-%20Deployment%20Plan.pdf).

## How to use
A detailed User Guide has been provided with instructions on how to use the flows/subtasks, available [here](https://github.com/CortexIntelligentAutomation/CTX-Backup-Flows/blob/master/CTX-Backup-Flows%20-%20User%20Guide.pdf). Configuration of Config Files are details in this document.

## How you can contribute
Unfortunately, we cannot offer pull requests at this time or accept any improvements.

## Versioning
BackupFlows has the following versions, starting with the most recent:

Version | Release | Functionality | Notes
------------ | ------------- | ----------- | -----------
v1.2 | 05/10/2021 | BF-Backup-Flows-From-Config | Updated 
v1.2 | 05/10/2021 | BF-Backup-Flows | Updated
v1.2 | 05/10/2021 | BF-GCAT-Get-Cortex-Authentication-Token | Updated
v1.0 | 21/03/2019 | BF-Backup-Flows-From-Config | Created 
v1.0 | 21/03/2019 | BF-Backup-Flows | Created
v1.0 | 21/03/2019 | BF-GCAT-Get-Cortex-Authentication-Token | Created
v1.0 | 21/03/2019 | BF-PPR-Process-PowerShell-Response | Created
v1.0 | 21/03/2019 | BF-RMFFB-Remove-Missing-Flow-from-Backup | Created


## Licensing
All functionality within this module is licensed under the [Apache 2.0 License](https://www.apache.org/licenses/LICENSE-2.0).

Copyright 2018 Cortex Limited

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.


